﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Plane.Copters;

namespace Plane.FormationCreator.Formation
{
    public partial class FlightTaskSingleCopterInfo
    {
        public static FlightTaskSingleCopterInfo CreateForSimpleCircleTask(ICopter copter, LatLng latLngOffset, float targetAlt, int rate, int turns, ushort channel3)
        {
            var info = new FlightTaskSingleCopterInfo(copter)
            {
                LatLngOffset = latLngOffset,
                TargetAlt = targetAlt,
                Rate = rate,
                Turns = turns,
                Channel3 = channel3
            };
            return info;
        }
    }
}
